Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.framework.security
Class CryptoException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javacard.framework.CardRuntimeException
                      javacard.framework.security.CryptoException

All Implemented Interfaces:
  Serializable

    public class CryptoException

extends CardRuntimeException

`CryptoException` represents a cryptography-related exception.

The API classes throw Java Card runtime environment-owned instances of `CryptoException`.

Java Card runtime environment-owned instances of exception classes are temporary Java Card runtime environment Entry Point Objects and can be accessed from any applet context. References to these temporary objects cannot be stored in class variables or instance variables or array components.

See Also:
  `MessageDigest`, `Signature`, `RandomData`, `Cipher`, Serialized Form

Field Summary
`static short` | `ILLEGAL_USE` This reason code is used to indicate that the signature or cipher algorithm does not pad the incoming message and the input message is not block aligned.
`static short` | `ILLEGAL_VALUE` This reason code is used to indicate that one or more input parameters is out of allowed bounds.
`static short` | `INVALID_INIT` This reason code is used to indicate that the signature or cipher object has not been correctly initialized for the requested operation.
`static short` | `NO_SUCH_ALGORITHM` This reason code is used to indicate that the requested algorithm or key type is not supported.
`static short` | `UNINITIALIZED_KEY` This reason code is used to indicate that the key is uninitialized.

Constructor Summary
`CryptoException(short reason)` Constructs a `CryptoException` with the specified reason.

Method Summary
`static void` | `throwIt(short reason)` Throws the Java Card runtime environment-owned instance of `CryptoException` with the specified reason.

Methods inherited from class javacard.framework.CardRuntimeException
`getReason, setReason`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ILLEGAL_VALUE

    public static final short ILLEGAL_VALUE

  This reason code is used to indicate that one or more input parameters is out of allowed bounds.

  See Also:
    Constant Field Values

### UNINITIALIZED_KEY

    public static final short UNINITIALIZED_KEY

  This reason code is used to indicate that the key is uninitialized.

  See Also:
    Constant Field Values

### NO_SUCH_ALGORITHM

    public static final short NO_SUCH_ALGORITHM

  This reason code is used to indicate that the requested algorithm or key type is not supported.

  See Also:
    Constant Field Values

### INVALID_INIT

    public static final short INVALID_INIT

  This reason code is used to indicate that the signature or cipher object has not been correctly initialized for the requested operation.

  See Also:
    Constant Field Values

### ILLEGAL_USE

    public static final short ILLEGAL_USE

  This reason code is used to indicate that the signature or cipher algorithm does not pad the incoming message and the input message is not block aligned.

  See Also:
    Constant Field Values

Constructor Detail

### CryptoException

    public CryptoException(short reason)

  Constructs a `CryptoException` with the specified reason. To conserve on resources use `throwIt()` to use the Java Card runtime environment-owned instance of this class.

  Parameters:
    `reason` - the reason for the exception

Method Detail

### throwIt

    public static void throwIt(short reason)

  Throws the Java Card runtime environment-owned instance of `CryptoException` with the specified reason.

  Java Card runtime environment-owned instances of exception classes are temporary Java Card runtime environment Entry Point Objects and can be accessed from any applet context. References to these temporary objects cannot be stored in class variables or instance variables or array components. See Runtime Environment Specification for the Java Card Platform, section 6.2.1 for details.

  Parameters:
    `reason` - the reason for the exception
  Throws:
    `CryptoException` - always

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD